Participant APIs | REST

Selected Version:
Download Open API File

Insert repayment by selected transactions

https://api.wealthcare.com/participant/services/repayment/repay/{tpaId}/{employerId}/{participantId}

Update the repayment status for selected transactions associated with a specific participant. This operation processes the repayment requests and returns any transactions that are ineligible for repayment along with error messages.

Request

  • tpaId string Required

    A unique identifier used to identify your admin instance. This value is system generated when the admin instance was created.

  • employerId string Required

    Unique identifier for the employer. Note: When the employer was created, WealthCare Admin assigned the 3-character prefix; you assigned the remaining characters.

  • participantId string Required

    Unique identifier for the participant user whose feature information is being retrieved.

  • decrypt integer <int32>

    Indicate if the URI parameters are encrypted or not. Use 1 for encrypted, 0 for decrypted (default is 0). This affects how the API interprets the incoming identifiers.

  • array <object>
    • SeqNum integer <int32>

      The settlement sequence number of the transaction to be repaid

    • SetlDte string

      The settlement date of the transaction to be repaid

  • array <object>
    • SeqNum integer <int32>

      The settlement sequence number of the transaction to be repaid

    • SetlDte string

      The settlement date of the transaction to be repaid

Response

  • array <object>
    • SeqNum integer <int32>

      The settlement sequence number of the transaction to be repaid

    • SetlDte string

      The settlement date of the transaction to be repaid

    • ErrMsg string

      Error message if transaction is not to be repaid

  • array <object>
    • SeqNum integer <int32>

      The settlement sequence number of the transaction to be repaid

    • SetlDte string

      The settlement date of the transaction to be repaid

    • ErrMsg string

      Error message if transaction is not to be repaid

Response Headers
No response yet.
Response Body
No response yet.
Request

AI Assistant Preview

Generating response...